<?php

App::uses('AppComponent', 'Controller/Component');

class PreStageComponent extends AppComponent {

	/**
	 * authorise a user
	 *
	 * @return 	bool
	 */
	public function authUser() {
		if ($this->_controller->Auth->user() !== null) {
			return true;
		}

		return false;
	}

	/**
	 * attempt to load a logged in users addresses
	 *
	 * @return bool
	 */
	public function loadAddresses() {
		if (! CakePlugin::loaded('EvAddressBook')) {
			$this->_controller->Flash->fail('EvAddressBook is not loaded. Cannot retrieve addresses');
			return false;
		}

		if (empty($this->_controller->AddressManager)) {
			$this->_controller->AddressManager = $this->_controller->loadComponent('EvAddressBook.AddressManager');
		}

		$this->_controller->set(
			'addressBook',
			$this->_controller->AddressManager->getAddresses(
				EvClassRegistry::init('EvAddressBook.Address'),
				'EvCore.User',
				$this->_controller->Auth->user('User.id')
			)
		);

		// get the countries for add address dropdown
		$Country = EvClassRegistry::init('EvCountry.Country');
		$this->_controller->set(
			'countries',
			$Country->getForDropDown()
		);

		return true;
	}
}
